./devel/apache-ivy, Apache Projects Java-Based agile dependency manager

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 2.5.0, Package name: apache-ivy-2.5.0, Maintainer: pkgsrc-users

Apache Ivy is a simple yet powerful dependency manager featuring
continuous integration, dependencies of dependencies management,
multiple repositories including ibiblio and high performance (use
of a local cache).


Required to run:
[devel/apache-ant] [lang/openjdk11]

Required to build:
[pkgtools/cwrappers]

Master sites: (Expand)

RMD160: 54cc58d96beaab3d9e57258a806c04f0ab0a5504
Filesize: 2663.829 KB

Version history: (Expand)


CVS history: (Expand)


   2021-10-07 15:44:44 by Nia Alarie | Files touched by this commit (3017)
Log message:
devel: Remove SHA1 hashes for distfiles
   2020-10-29 10:31:41 by Juraj Lutter | Files touched by this commit (3) | Package updated
Log message:
apache-ivy: Update to 2.5.0

Changelog for 2.5.0:
  - The minimum runtime Java version required is now Java 7
  - Ivy now uses BouncyCastle OpenPGP API 1.59. Due to the non backward
    compatibility of that library, earlier versions are not supported.
  - Ivy now uses HttpComponents HttpClient 4.5.x version with HTTP backed
    resolvers. Users are expected to have this version of the library (and its
    dependencies) in their runtime classpath if they want to use such
    resolvers.
  - The previous (similarly named but not the same) commons-httpclient library
    is no longer used or supported.

For full changelog see:
http://ant.apache.org/ivy/history/2.5.0 … notes.html
   2020-01-19 00:36:14 by Roland Illig | Files touched by this commit (3046)
Log message:
all: migrate several HOMEPAGEs to https

pkglint --only "https instead of http" -r -F

With manual adjustments afterwards since pkglint 19.4.4 fixed a few
indentations in unrelated lines.

This mainly affects projects hosted at SourceForce, as well as
freedesktop.org, CTAN and GNU.
   2018-07-24 18:27:23 by Jonathan Perkin | Files touched by this commit (1) | Package updated
Log message:
apache-ivy: Use apache-ant 1.9.x with JDK 7.x

Bump PKGREVISION.
   2018-06-14 13:32:37 by Filip Hajny | Files touched by this commit (3) | Package updated
Log message:
devel/apache-ivy: Update to 2.4.0.

2.4.0
- some new Ant tasks
- improved OSGI support
- a Bintray resolver
- numerous bug fixes as documented in Jira and in the release notes

2.3.0
- improved Ant support with some new Ant tasks and enhancements to
  existing tasks
- improved Maven2 compatibility
- some new resolvers
- numerous bug fixes as documented in Jira and in the release notes
   2015-11-03 04:29:40 by Alistair G. Crooks | Files touched by this commit (1995)
Log message:
Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.
   2012-10-31 12:19:55 by Aleksej Saushev | Files touched by this commit (1460)
Log message:
Drop superfluous PKG_DESTDIR_SUPPORT, "user-destdir" is default these days.
   2011-04-15 11:39:32 by David Brownlee | Files touched by this commit (4) | Imported package
Log message:
Added devel/apache-ivy version 2.2.0

Apache Ivy is a simple yet powerful dependency manager featuring
continuous integration, dependencies of dependencies management,
multiple repositories including ibiblio and high performance (use
of a local cache).